Skip to navigation

List leads

List the leads of an outbound campaign, one per recipient.

Path parameters

campaign_idstringRequired

Headers

xi-api-keystringOptional

Query parameters

page_sizeintegerOptional1-500Defaults to 100
How many items to return at most.
searchstringOptional<=100 characters
Only leads whose ID, user ID or phone number contains this text.
statusenumOptional

in_progress for leads still being called, finished for leads that won’t be called again.

Allowed values:
dispositionenumOptional
Only leads that finished in one of these ways.
cursorstringOptional
Used for fetching next page. Cursor is returned in the response.

Response

Successful Response
leadslist of objects
has_moreboolean
next_cursorstringOptional

Errors

422
Leads List Request Unprocessable Entity Error